Relesys API Docs

v1.3

https://api.relesysapp.net/api/v1.3

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesysapp.net/api/v1.3/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"f83143dd-8a0d-4eff-875d-bc04d9d92bbd","url":null,"userId":"5a7774a6-2433-4b20-8cca-80f0106022fa","userUrl":null,"categoryId":"7eddc611-5285-4aed-9ea6-f271202f2da1","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-03-09T23:35:43.5443528+00:00","lastModifiedDateTime":"2026-03-10T19:35:43.5443528+00:00","availableFrom":"2026-03-10T23:35:43","startDateTimeZone":null,"availableUntil":"2026-03-11T23:35:43","endDateTimeZone":null,"medias":[{"id":"a29f997f-e19d-4990-a2f3-b8f1934884f8","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"68620851-2c8e-4eaa-885b-5e2203d2c346","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"a1e73892-487b-42b9-9b18-520946085a70","url":null},{"type":"Department","name":"Department name example","id":"defbb78e-0af3-4161-97ea-03465c1c8f38","url":null},{"type":"User group","name":"User group name example","id":"908dc0b2-69de-465f-88ae-68510e18ac0b","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"688b964b-e2ba-4034-9f7f-e4b9a0bdc389"}],"userGroups":[{"url":null,"name":"User group name example","id":"43253692-cfb4-442c-8c1e-a0c443d2a801"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string